
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
}

body{
    background-color: #113d6c;
}

.body-font{
    font-family: 'Lato', sans-serif;
}

.header-font{
    font-family: 'Montserrat', sans-serif;
}

.header-wrapper{
    /*width: 100vw;*/
    max-width: 100%;
    margin: 0;
    display: grid;
    grid-template-columns: 20% 80%;
    padding: 20px;
    background-color: #113d6c;
    color: white;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    z-index: 1000000;
}

.header-wrapper.sticky .navlinks{
    margin-right: 2vw;
}

 /*The sticky class is added to the header with JS when it reaches its scroll position*/
.sticky {
    position: fixed;:
    top: 0;
    width: 100%
}

 /*Add some top padding to the page content to prevent sudden quick movement (as the header gets a new position at the top of the page (position:fixed and top:0)*/
.sticky + .content {
    padding-top: 102px;
}

.navlinks {
    font-size: larger;
    text-align: end;
}

.no-navlinks{
    display: none;
}

.navlinks a{
    color: white;
    text-decoration: none;
    margin-left: 25px;
    margin-right: 25px;
    font-family: 'Montserrat', sans-serif;

    transition: color 0.3s ease;
    position: relative;
}


.navlinks a:before {
    content: "";
    position: absolute;
    bottom: -3px;
    left: 0;
    width: 0;
    height: 2px;
    background-color: #fff;
    transition: width 0.3s ease;
}

.navlinks a:hover {
    color: #54d771;
}

.navlinks a:hover:before {
    width: 100%;
}

.navlinks.open {
    display: flex !important;
    flex-direction: column;
    position: absolute;
    top: 220px;
    z-index: 100000;
    left: 0;
    width: 100%;
    background-color: #113d6c;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    padding: 10px;
    transition: 0.4s;
}

.navlinks.open a{
    margin-right: 20px;
}

.hamburger-menu {
    display: none;
    cursor: pointer;
    position: absolute;
    top: 6vh;
    right: 5vw;
}

.hamburger-menu.open .bar:nth-child(1) {
    transform: rotate(45deg) translate(6px, 6px);
}

.hamburger-menu.open .bar:nth-child(2) {
    opacity: 0;
}

.hamburger-menu.open .bar:nth-child(3) {
    transform: rotate(-45deg) translate(8px, -8px);
}

.bar {
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 5px 0;
    transition: 0.4s;
}


@media (max-width: 850px) {
    .hamburger-menu {
        display: block;
    }

    .navlinks {
        display: none;
    }

    .no-navlinks{
        display: block;
    }
}

.footer-wrapper{
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    text-align: center;
    margin-top: 5vh;
    color: white;
    padding: 20px;
}

/*Below code ensures footer is at the bottom of the page on all devices:*/
body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.footer-wrapper{
    margin-top: auto;
}

/*Ready to use grids*/

.two-col-grid-onesmall-onelarge{
    display: grid;
    column-count: 2;
    grid-template-columns: 33% 67%;
    grid-template-areas: "col1 col2 ";
}

/*Image slider styling below:*/

.image-slider {
    position: relative;
    width: 80vw;
    margin: 0 auto;
    overflow: hidden;
}

.image-slider-image-wrapper {
    display: flex;
    transition: transform 0.5s ease;
}

.image-slider-image {
    height: 600px;
    min-width: 100%;
    object-fit: cover;
}

.image-slider-image.active {
    opacity: 1;
}

.image-slider-controls {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
}

.image-slider-control-left,
.image-slider-control-right {
    background: none;
    border: none;
    color: white;
    font-size: 2rem;
    cursor: pointer;
    outline: none;
}

.slider-control-left {
    margin-left: 2vw;
}

.slider-control-right {
    margin-right: 2vw;
}

.body-text-wrapper{
    width: 50vw;
    margin: auto;
    text-align: center;
    font-family: Lato;
    line-height: 2;
    font-weight: 500;
    color: white;
}

@media (max-width: 850px){
    .body-text-wrapper{
        width: 75vw;
    }
}

/*CSS ANIMATION CLASSES BELOW:*/

.slide-left {
    opacity: 0;
    transform: translateX(-100%);
    transition: opacity 0.5s, transform 0.5s;
}

.slide-left.slide-in {
    opacity: 1;
    transform: translateX(0);
}


.slide-right {
    opacity: 0;
    transform: translateX(20%);
    transition: opacity 0.5s, transform 0.5s;
}

.slide-right.slide-in {
    opacity: 1;
    transform: translateX(0);
}

@media (max-width: 850px){
    .slide-right{
        opacity: 0;
        transform: translateX(-100%);
        transition: opacity 0.5s, transform 0.5s;
    }

    .slide-right.slide-in {
        opacity: 1;
        transform: translateX(0);
    }
}

.roll-in {
    opacity: 0;
    overflow: hidden;
    white-space: nowrap;
    animation-name: rollAnimation;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes rollAnimation {
    0% {
        opacity: 0;
        transform: translateX(-100%);
    }
    100% {
        opacity: 1;
        transform: translateX(0%);
    }
}
